org.apache.storm.metricstore

## Class MetricStoreConfig

- java.lang.Object
- - org.apache.storm.metricstore.MetricStoreConfig

-     public class MetricStoreConfig
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetricStoreConfig()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MetricStore` | `configure(Map<String,Object> conf, StormMetricsRegistry metricsRegistry)` Configures metrics store (running on Nimbus) to use the class specified in the conf.
    `static WorkerMetricsProcessor` | `configureMetricProcessor(Map conf)` Configures metric processor (running on supervisor) to use the class specified in the conf.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MetricStoreConfig

          public MetricStoreConfig()

  - ### Method Detail

    - #### configure

          public static MetricStore configure(Map<String,Object> conf,
                                              StormMetricsRegistry metricsRegistry)
                                       throws MetricException

      Configures metrics store (running on Nimbus) to use the class specified in the conf.

      Parameters:
        `conf` - Storm config map
        `metricsRegistry` - The Nimbus daemon metrics registry
      Returns:
        MetricStore prepared store
      Throws:
        `MetricException` - on misconfiguration

    - #### configureMetricProcessor

          public static WorkerMetricsProcessor configureMetricProcessor(Map conf)
                                                                 throws MetricException

      Configures metric processor (running on supervisor) to use the class specified in the conf.

      Parameters:
        `conf` - the supervisor config
      Returns:
        WorkerMetricsProcessor prepared processor
      Throws:
        `MetricException` - on misconfiguration

Copyright © 2021 The Apache Software Foundation. All rights reserved.